summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/alsa-lib/Manifest1
-rw-r--r--media-libs/alsa-lib/alsa-lib-1.2.5.1.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/media-libs/alsa-lib/Manifest b/media-libs/alsa-lib/Manifest
index ece4621318c..278675767a8 100644
--- a/media-libs/alsa-lib/Manifest
+++ b/media-libs/alsa-lib/Manifest
@@ -1,4 +1,5 @@
DIST alsa-lib-1.2.2.tar.bz2 1030747 BLAKE2B 176054c7783452fcd0b30482f4d85fb88a1364a97f79830f2c22cd578275280fa64537d00a08f3e3b1420e4aeb4e4269c7523cb4296db3ed095bcf078b452726 SHA512 d21adb3ff998918c7d1820f9ce2aaf4202dd45ccb87cb092d49da8b2402b6ddaad06325be0fd59f17393a5d9958e3743bfccb4b14bdb947a42e7d791d73c7033
DIST alsa-lib-1.2.3.2.tar.bz2 1038591 BLAKE2B 70ba972953f71fc6ac20f6f3e91361b5aed72c8c7887252331a01334ec4cc154c1bfea02dfaf0f76f8244b8cf73426d83577dcf55aa0033f80ee303d23386df6 SHA512 1fbc6360fda841bd9ca488739bdc9f4142c1b4a07ff767f48f1e160e3d4dff914aed422c97088e238b5e77d7e30aa79ff72569c3348a4cf4a412e1e4bce0bf2a
DIST alsa-lib-1.2.4.tar.bz2 1044405 BLAKE2B e1d5d9afe21dac693645274ae4ec8a607c9fcc9915ba4ebccfdb539d44b9353ba07529e2c8eaca119884b926d4467285313c945c9015a788101fe532064442db SHA512 12086952dc8f16f1cb6946517858e17b1c3276aeda9ff5703a84bb38aa78eb4c4e9cb4485c5b3f21f174fdbd976b3bcbbc481e85cb2460652858490df51ae844
+DIST alsa-lib-1.2.5.1.tar.bz2 1069073 BLAKE2B 5464cc7f263bdf7b10aa7e1f542ad6dbc55bf300156fd1bded00375c41a518d4b14f96e28eb1c60a6ce7cc6e27da4b2e8598cd867f15417f260fc23513f93e11 SHA512 01998ffa449e925ff552c13aea47f9540903afdc533086067c78dcaba4d239c347180d3d28bb0000e6d19b7779c7249fcc77a30057930ca22d18ba55e163fa1c
DIST alsa-lib-1.2.5_p20210604.tar.gz 814186 BLAKE2B d3bc2f42a0266c1af33953026eecb97d9d4f2cc845924b762b7f6777d15e2a3f60347bd3d6184a8b431ebe703c3b06bcbfbef67345064fbcd14b223e5e4d0e4e SHA512 e04ac38ae6f4b97ac75584c36562ad620820be5156206dc6466b8bfac0d50d1c8e588fac7d5e9d8716c9c89b82ebd9ae9cbc8137080a433a5ddde8177c102a99
diff --git a/media-libs/alsa-lib/alsa-lib-1.2.5.1.ebuild b/media-libs/alsa-lib/alsa-lib-1.2.5.1.ebuild
new file mode 100644
index 00000000000..7b6a92ccd5f
--- /dev/null
+++ b/media-libs/alsa-lib/alsa-lib-1.2.5.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit autotools multilib-minimal python-single-r1
+
+DESCRIPTION="Advanced Linux Sound Architecture Library"
+HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
+if [[ ${PV} == *_p* ]] ; then
+ # Please set correct commit ID for a snapshot release!!!
+ COMMIT="abe805ed6c7f38e48002e575535afd1f673b9bcd"
+ SRC_URI="https://git.alsa-project.org/?p=${PN}.git;a=snapshot;h=${COMMIT};sf=tgz -> ${P}.tar.gz"
+ S="${WORKDIR}"/${PN}-${COMMIT:0:7}
+else
+ # TODO: Upstream does publish .sig files, so someone could implement verify-sig ;)
+ SRC_URI="https://www.alsa-project.org/files/pub/lib/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="alisp debug doc elibc_uclibc python +thread-safety"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+BDEPEND="doc? ( >=app-doc/doxygen-1.2.6 )"
+RDEPEND="python? ( ${PYTHON_DEPS} )
+ media-libs/alsa-topology-conf
+ media-libs/alsa-ucm-conf
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.1.6-missing_files.patch" # bug #652422
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ find . -name Makefile.am -exec sed -i -e '/CFLAGS/s:-g -O2::' {} + || die
+ # https://bugs.gentoo.org/509886
+ if use elibc_uclibc ; then
+ sed -i -e 's:oldapi queue_timer:queue_timer:' test/Makefile.am || die
+ fi
+ # https://bugs.gentoo.org/545950
+ sed -i -e '5s:^$:\nAM_CPPFLAGS = -I$(top_srcdir)/include:' test/lsb/Makefile.am || die
+ default
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --disable-maintainer-mode
+ --disable-resmgr
+ --enable-aload
+ --enable-rawmidi
+ --enable-seq
+ --enable-shared
+ # enable Python only on final ABI
+ $(multilib_native_use_enable python)
+ $(use_enable alisp)
+ $(use_enable thread-safety)
+ $(use_with debug)
+ $(usex elibc_uclibc --without-versioned '')
+ )
+
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake
+
+ if multilib_is_native_abi && use doc; then
+ emake doc
+ grep -FZrl "${S}" doc/doxygen/html | \
+ xargs -0 sed -i -e "s:${S}::" || die
+ fi
+}
+
+multilib_src_install() {
+ multilib_is_native_abi && use doc && local HTML_DOCS=( doc/doxygen/html/. )
+ default
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f \( -name '*.a' -o -name '*.la' \) -delete || die
+ dodoc ChangeLog doc/asoundrc.txt NOTES TODO
+}